Subject: Re: [PATCH v2 1/1] advice: add --no-advice global option

From: Junio C Hamano <[email-masked]>
Date: Mon, 29 Apr 2024 06:50:53 -0700

Jeff King <[email-masked]> writes:

> You need an environment variable if you want the command-line option to
> work consistently across commands that spawn external processes. E.g.:
> ...
> commands, then propagating becomes too cumbersome and error-prone.

Ah, you've explained this---thanks.  As an internal implementation
detail, this is inevitable, and I am OK as long as we document it as
such.